package com.slibra.business.res;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CallRecordListResp {

    //统计日期
    private String date;

    //呼入总量
    private int inTotal;

    //接通总量
    private int successTotal;

    //未接通总量
    private int failTotal;

    //机器人接听
    private int robotHearTotal;

    //机器人转人工
    private int transferTotal;

    //人工接听
    private int humanTotal;

    //机器人处理量
    private int robotHandleTotal;

    //人工处理量
    private int humanHandleTotal;

    //机器人处理率
    private BigDecimal robotRate = BigDecimal.ZERO;

    //人工处理率
    private BigDecimal humanRate = BigDecimal.ZERO;

    //未接通率
    private BigDecimal failRate = BigDecimal.ZERO;

    //2025年02月17日16:09:30 因为逻辑调整 下面是新增的字段，上面的逻辑保持不变
    //AI处理量
    private int aiTotal;

    //AI转人工处理量
    private int aiToHuman;

    //人工处理量(含转人工)
    private int humanAndTransferTotal;

    //AI处理率
    private BigDecimal aiRate = BigDecimal.ZERO;

    //接通率
    private BigDecimal successRate = BigDecimal.ZERO;



}
