package com.slibra.business.res;


import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class HomeCountResp {

    //2025年02月17日17:29:06 显示新增的统计字段
    //今日呼入总量
    private int todayInTotal;

    //今日AI处理量
    private int todayAiTotal;

    //今日AI处理量-占比
    private BigDecimal todayAiRate = BigDecimal.ZERO;

    //今日呼入累计时长
    @JsonIgnore
    private long totalTimes;

    //今日平均呼入时长
    private long todayInTimesAvg;

    //下面注释掉的暂时不统计了

    //最近七天呼入量
//    private int inTotal;

    //最近七天接通率
//    private BigDecimal successRate;

    //最近七天呼入时长
//    private long inTimes;

    //最近七天平均呼入时长
//    private long inTimesAvg;

    //累计呼入时长
//    private long totalTimes;

    //累计呼入总量
    private long totalCounts;


    //下面是集合------中间的图表数据------开始
    //近七日呼入电话量趋势
    private List<DayAndCountRes> recent7DayAndCounts;

    //近七日呼入电话量趋势--去年数据
//    private List<DayAndCountRes> recent7DayAndCountsLastYear;

    //近7个月电话量同比趋势
//    private List<DayAndCountRes> recent7MonthAndCounts;

    //近7个月电话量同比趋势--去年数据
//    private List<DayAndCountRes> recent7MonthAndCountsLastYear;

    //2025年02月18日14:27:21 新增的数据
    //近7日AI处理情况
    private List<DayAndAiCountRes> ai7DayAndCounts;

    //本月业务类型 top7
    private List<Top7Res> businessTop7;
    //------中间的图表数据------截止


    //下面是今日机器人坐席情况--开始
    //今日呼入总量
//    private int robotInTotal;

    //通话时长
//    private long robotInTimes;

    //平均通话时长
//    private long robotTimesAvg;

    //转人工总量
//    private int transfer2Human;

    //当前排队总数
//    private int robotQueue;

    //分流比例
//    private Integer robotStreamRate;
    //下面是今日机器人坐席情况--截止


    //下面是今日人工坐席情况--开始
    //今日呼入总量
//    private int humanInTotal;

    //通话时长
//    private long humanInTimes;

    //平均通话时长
//    private long humanTimesAvg;

    //当前在线坐席人数(2025年01月21日14:27:07 统计的是置闲的客服数量)
//    private int onlineTotal;

    //当前排队总数
//    private int humanQueue;

    //分流比例
//    private Integer humanStreamRate;
    //下面是今日人工坐席情况--截止

    //显示是 今日通话分析 和 昨日通话分析
    //今日通话分析---开始

    //当前在线人工坐席
    private int onlineUserCounts;

    //机器人坐席
    private int robotCounts = 20;//默认20个

    //今日AI处理量 见上面的 todayAiTotal

    //今日AI处理量-占比 见上面的 todayAiRate

    //今日人工处理量
    private int todayHumanTotal;

    //今日人工处理量-占比
    private BigDecimal todayHumanRate = BigDecimal.ZERO;

    //今日电话接通量
    private int todaySuccessCounts;

    //今日电话接通量-占比
    private BigDecimal todaySuccessRate = BigDecimal.ZERO;

    //今日呼入总量 见上面的 todayInTotal

    //今日通话分析---截止


    //昨日通话分析---开始

    //昨日AI处理量
    private int yesterdayAiTotal;

    //昨日AI处理量-占比
    private BigDecimal yesterdayAiRate = BigDecimal.ZERO;

    //昨日人工处理量
    private int yesterdayHumanTotal;

    //昨日人工处理量-占比
    private BigDecimal yesterdayHumanRate = BigDecimal.ZERO;

    //昨日电话接通量
    private int yesterdaySuccessCounts;

    //昨日电话接通量-占比
    private BigDecimal yesterdaySuccessRate = BigDecimal.ZERO;

    //昨日呼入总量
    private int yesterdayInTotal;
    //昨日通话分析---截止





}
